# Un programa en python para
# calcular los vértices de los
# triángulos para un cilindro
#
# 22.06.2021

import sys
import math


n = len( sys.argv )
if n != 4:
	print( "Args: n r l" )
	sys.exit(1)

n = int( sys.argv[1] )
r = float( sys.argv[2] )
l = float( sys.argv[3] )

#      360
#   t = ----
#        n
# 
#    y = r cos( t*i )
#    z = r sen( t*i )
# 
#    i = {0,1,.. n-1}
# 
#  Entonces los vértices tienen que calcularse como:
#   p1 = [ 0, y1, z1]^T
#   p1' = [ l, y1', z1']^T
# 
#   Y llenarse el arreglo como:
# 
#    1',1, 2,2', 3,3', 4,4', 1,1' en una tira de triángulos

ang = math.radians( 360.0/n )

i = 0
while i < n :
	y = r * math.cos( ang*i )
	z = r * math.sin( ang*i )
	print( "0", ',', y, ',',  z, ',' )
	print( l, ',', y, ',',  z, ',' )

	i += 1

y = r 
z = 0.0
# print( "0", y,  z )
# print( l, y,  z )
print( "0", ',', y, ',',  z, ',' )
print( l, ',', y, ',',  z, ',' )
